	[general.Logs]
		#If true, all missing optional properties
		#and their default values will be logged
		#when parsing custom machines jsons.
		log_missing_optional = false
		#When parsing custom machines json files,
		#some properties can be read with 2 serializers.
		#Set this to true to log when the first serializer throw an error,
		#even if the second succeed.
		log_first_either_error = false
		#Configure what logs will be printed in the custommachinery.log file.
		#Only logs with level higher or equal than selected will be printed.
		#FATAL > ERROR > WARN > INFO > DEBUG > ALL
		#Allowed Values: FATAL, ERROR, WARN, INFO, DEBUG, ALL
		debug_level = "INFO"

	[general.General]
		#Defines the _default_ color for machine casings as items or blocks. (Hex color with alpha at start) Has to be defined both server and clientside!
		general_casing_color = "#FFFF4900"
		#Defines the _default_ color for EMI/JEI chance text color. (Hex color without alpha) Has to be defined both server and clientside!
		chance_color = "#FFFFFF"
		#Defines the time in ticks that the machine should check for a structure update.
		#20 ticks = 1 second. Default: 5
		# Default: 5
		# Range: > 1
		check_structure_ticks = 5
		#Defines the time in ticks that the machine should check for a recipe update.
		#20 ticks = 1 second. Default: 80
		# Default: 20
		# Range: > 1
		check_recipe_ticks = 20
		#Defines the number of max parallel recipes that can be run on multiblocks. If this number is below than any on [parallel hatch] config path, it will use the max value of them instead.
		# Default: 256
		# Range: > 1
		maxParallel = 256

	[general.Structure]
		#Defines if it should break and place the non-matching blocks on trying to place structure. Default: true
		should_replace = true
		#Defines if should sent a message to the player for each replaced block. Default: true
		replaceMessage = true
		#Defines if should sent a message to the player for each missing block. Default: true
		missingBlockMessage = true
		#Defines if should sent a message to the player for each error on place block. Default: true
		errorMessage = true

	[general.Rendering]
		#The time in milliseconds the structure requirement
		#structure will render in world when clicking
		#on the icon in the jei recipe.
		# Default: 10000
		# Range: > 1
		structure_render_time = 10000
		#The time in milliseconds each blocks will be shown
		#when using a block tag in a structure.
		# Default: 1000
		# Range: > 1
		block_tag_cycle_time = 1000

	[general.Directories]
		#A folder name where MMR will load machine structure json.
		#These folder must be under the "data/<namespace>" folder.
		machine_directory = "machines"
		#A list of folder names where MMR will load controller models json. These folders must be under the 'assets/namespace/models' folder.
		model_folders = ["controller", "controllers"]

	[energyHatch.tiny]
		#Energy storage size of the energy hatch.
		# Default: 2048
		# Range: > 1
		size = 2048
		#Defines the transfer limit for RF/FE things. 
		#IC2's transfer limit is defined by the voltage tier.
		# Default: 128
		# Range: > 1
		transfer_rate = 128

	[energyHatch.small]
		#Energy storage size of the energy hatch.
		# Default: 4096
		# Range: > 1
		size = 4096
		#Defines the transfer limit for RF/FE things. 
		#IC2's transfer limit is defined by the voltage tier.
		# Default: 512
		# Range: > 1
		transfer_rate = 512

	[energyHatch.normal]
		#Energy storage size of the energy hatch.
		# Default: 8192
		# Range: > 1
		size = 8192
		#Defines the transfer limit for RF/FE things. 
		#IC2's transfer limit is defined by the voltage tier.
		# Default: 512
		# Range: > 1
		transfer_rate = 512

	[energyHatch.reinforced]
		#Energy storage size of the energy hatch.
		# Default: 16384
		# Range: > 1
		size = 16384
		#Defines the transfer limit for RF/FE things. 
		#IC2's transfer limit is defined by the voltage tier.
		# Default: 2048
		# Range: > 1
		transfer_rate = 2048

	[energyHatch.big]
		#Energy storage size of the energy hatch.
		# Default: 32768
		# Range: > 1
		size = 32768
		#Defines the transfer limit for RF/FE things. 
		#IC2's transfer limit is defined by the voltage tier.
		# Default: 8192
		# Range: > 1
		transfer_rate = 8192

	[energyHatch.huge]
		#Energy storage size of the energy hatch.
		# Default: 131072
		# Range: > 1
		size = 131072
		#Defines the transfer limit for RF/FE things. 
		#IC2's transfer limit is defined by the voltage tier.
		# Default: 32768
		# Range: > 1
		transfer_rate = 32768

	[energyHatch.ludicrous]
		#Energy storage size of the energy hatch.
		# Default: 524288
		# Range: > 1
		size = 524288
		#Defines the transfer limit for RF/FE things. 
		#IC2's transfer limit is defined by the voltage tier.
		# Default: 131072
		# Range: > 1
		transfer_rate = 131072

	[energyHatch.ultimate]
		#Energy storage size of the energy hatch.
		# Default: 2097152
		# Range: > 1
		size = 2097152
		#Defines the transfer limit for RF/FE things. 
		#IC2's transfer limit is defined by the voltage tier.
		# Default: 131072
		# Range: > 1
		transfer_rate = 131072

	[energyHatch.Display]
		#Set to true, if the standard 'energy' FE (or RF) should be displayed in the tooltip of the energy hatch along with its transmission rates.
		displayFETooltip = true
		#Set to true, if IC2's energy EU should be displayed in the tooltip of the energy hatch. Will only have effect if IC2 is installed.
		displayIC2EUTooltip = true
		#Available options: 'FE', 'IC2_EU' - Default: FE - Set this to one of those 2 types to have GUI, recipe preview and energy be displayed in that type of energy in ALL ModularMachinery Reborn things.
		#Allowed Values: FE, IC2_EU
		type = "FE"

	[fluidHatch.tiny]
		#Defines the tank size of fluid hatch in mB
		# Default: 100
		# Range: > 1
		size = 100

	[fluidHatch.small]
		#Defines the tank size of fluid hatch in mB
		# Default: 400
		# Range: > 1
		size = 400

	[fluidHatch.normal]
		#Defines the tank size of fluid hatch in mB
		# Default: 1000
		# Range: > 1
		size = 1000

	[fluidHatch.reinforced]
		#Defines the tank size of fluid hatch in mB
		# Default: 2000
		# Range: > 1
		size = 2000

	[fluidHatch.big]
		#Defines the tank size of fluid hatch in mB
		# Default: 4500
		# Range: > 1
		size = 4500

	[fluidHatch.huge]
		#Defines the tank size of fluid hatch in mB
		# Default: 8000
		# Range: > 1
		size = 8000

	[fluidHatch.ludicrous]
		#Defines the tank size of fluid hatch in mB
		# Default: 16000
		# Range: > 1
		size = 16000

	[fluidHatch.vacuum]
		#Defines the tank size of fluid hatch in mB
		# Default: 32000
		# Range: > 1
		size = 32000

	[itemBus.container]
		#Defines the container X offset relative to top-left corner of the texture
		# Default: 8
		# Range: > 0
		xOffset = 8
		#Defines the container Y offset relative to top-left corner of the texture
		# Default: 8
		# Range: > 0
		yOffset = 8

	[itemBus.tiny]
		#Defines the slots number of item bus
		# Default: 1
		# Range: > 1
		slots = 1
		#Defines the slot cols number of item bus
		# Default: 9
		# Range: > 1
		cols = 9

	[itemBus.small]
		#Defines the slots number of item bus
		# Default: 4
		# Range: > 1
		slots = 4
		#Defines the slot cols number of item bus
		# Default: 9
		# Range: > 1
		cols = 9

	[itemBus.normal]
		#Defines the slots number of item bus
		# Default: 6
		# Range: > 1
		slots = 6
		#Defines the slot cols number of item bus
		# Default: 9
		# Range: > 1
		cols = 9

	[itemBus.reinforced]
		#Defines the slots number of item bus
		# Default: 9
		# Range: > 1
		slots = 9
		#Defines the slot cols number of item bus
		# Default: 9
		# Range: > 1
		cols = 9

	[itemBus.big]
		#Defines the slots number of item bus
		# Default: 12
		# Range: > 1
		slots = 12
		#Defines the slot cols number of item bus
		# Default: 9
		# Range: > 1
		cols = 9

	[itemBus.huge]
		#Defines the slots number of item bus
		# Default: 16
		# Range: > 1
		slots = 16
		#Defines the slot cols number of item bus
		# Default: 9
		# Range: > 1
		cols = 9

	[itemBus.ludicrous]
		#Defines the slots number of item bus
		# Default: 32
		# Range: > 1
		slots = 32
		#Defines the slot cols number of item bus
		# Default: 9
		# Range: > 1
		cols = 9

	[experienceHatch.tiny]
		#Defines the Experience Hatch
		# Default: 1000
		# Range: > 1
		capacity = 1000

	[experienceHatch.small]
		#Defines the Experience Hatch
		# Default: 4000
		# Range: > 1
		capacity = 4000

	[experienceHatch.normal]
		#Defines the Experience Hatch
		# Default: 10000
		# Range: > 1
		capacity = 10000

	[experienceHatch.reinforced]
		#Defines the Experience Hatch
		# Default: 20000
		# Range: > 1
		capacity = 20000

	[experienceHatch.big]
		#Defines the Experience Hatch
		# Default: 45000
		# Range: > 1
		capacity = 45000

	[experienceHatch.huge]
		#Defines the Experience Hatch
		# Default: 80000
		# Range: > 1
		capacity = 80000

	[experienceHatch.ludicrous]
		#Defines the Experience Hatch
		# Default: 160000
		# Range: > 1
		capacity = 160000

	[experienceHatch.vacuum]
		#Defines the Experience Hatch
		# Default: 320000
		# Range: > 1
		capacity = 320000

	["parallel hatch".basic]
		#Defined the max amount of running recipes
		# Default: 2
		# Range: > 1
		max = 2

	["parallel hatch".medium]
		#Defined the max amount of running recipes
		# Default: 25
		# Range: > 1
		max = 25

	["parallel hatch".advanced]
		#Defined the max amount of running recipes
		# Default: 50
		# Range: > 1
		max = 50

	["parallel hatch".ultimate]
		#Defined the max amount of running recipes
		# Default: 100
		# Range: > 1
		max = 100

	["parallel hatch".max]
		#Defined the max amount of running recipes
		# Default: 256
		# Range: > 1
		max = 256
